## groovy.util
Class ObservableMap.PropertyClearedEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              groovy.util.ObservableMap.PropertyEvent
                  groovy.util.ObservableMap.PropertyClearedEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  ObservableMap

    public static class ObservableMap.PropertyClearedEvent

extends ObservableMap.PropertyEvent

See Also:
  Serialized Form

Field Summary
`static String` `CLEAR_PROPERTY`

Fields inherited from class groovy.util.ObservableMap.PropertyEvent
`ADDED, CLEARED, MULTI, NEWVALUE, OLDVALUE, REMOVED, UPDATED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ObservableMap.PropertyClearedEvent(Object source, Map values)`

Method Summary
`Map` `getValues()`

Methods inherited from class groovy.util.ObservableMap.PropertyEvent
`getType, getTypeAsString`

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLEAR_PROPERTY

    public static final String CLEAR_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### ObservableMap.PropertyClearedEvent

    public ObservableMap.PropertyClearedEvent(Object source,
                                              Map values)

Method Detail

### getValues

    public Map getValues()

Copyright © 2003-2009 The Codehaus. All rights reserved.